Tonyu.klass.define({
  fullName: 'user.DotConsole',
  shortName: 'DotConsole',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Panel,
  includes: [],
  methods: {
    main :function _trc_DotConsole_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=1000015;//user.DotConsole:15
      "field strict";
      
    },
    fiber$main :function _trc_DotConsole_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=1000015;//user.DotConsole:15
      "field strict";
      
      
      _thread.retVal=_this;return;
    },
    initialize :function _trc_DotConsole_initialize(p) {
      "use strict";
      var _this=this;
      
      //$LASTPOS=1000078;//user.DotConsole:78
      p=p||{};
      //$LASTPOS=1000091;//user.DotConsole:91
      p.size=p.size||16;
      //$LASTPOS=1000114;//user.DotConsole:114
      p.width=p.width||Tonyu.globals.$screenWidth;
      //$LASTPOS=1000149;//user.DotConsole:149
      p.height=p.height||Tonyu.globals.$screenHeight;
      //$LASTPOS=1000187;//user.DotConsole:187
      p.row=p.row||_this.floor(p.height/p.size);
      //$LASTPOS=1000228;//user.DotConsole:228
      p.col=p.col||_this.floor(p.width/p.size);
      //$LASTPOS=1000268;//user.DotConsole:268
      p.width=p.col*p.size;
      //$LASTPOS=1000294;//user.DotConsole:294
      p.height=p.row*p.size;
      //$LASTPOS=1000321;//user.DotConsole:321
      Tonyu.classes.kernel.Panel.apply( _this, [p]);
      //$LASTPOS=1000335;//user.DotConsole:335
      _this.cx=0;
      //$LASTPOS=1000340;//user.DotConsole:340
      _this.cy=0;
      //$LASTPOS=1000350;//user.DotConsole:350
      _this.fillStyle="white";
      //$LASTPOS=1000373;//user.DotConsole:373
      _this.mat=new Tonyu.classes.kernel.Matrix;
    },
    locate :function _trc_DotConsole_locate(x,y) {
      "use strict";
      var _this=this;
      
      //$LASTPOS=1000411;//user.DotConsole:411
      _this.cx=x;
      //$LASTPOS=1000416;//user.DotConsole:416
      _this.cy=y;
    },
    fiber$locate :function _trc_DotConsole_f_locate(_thread,x,y) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=1000411;//user.DotConsole:411
      _this.cx=x;
      //$LASTPOS=1000416;//user.DotConsole:416
      _this.cy=y;
      
      _thread.retVal=_this;return;
    },
    print :function _trc_DotConsole_print(s) {
      "use strict";
      var _this=this;
      var i;
      var ch;
      
      //$LASTPOS=1000441;//user.DotConsole:441
      //$LASTPOS=1000446;//user.DotConsole:446
      i = 0;
      for (; i<s.length ; i++) {
        Tonyu.checkLoop();
        {
          //$LASTPOS=1000480;//user.DotConsole:480
          ch = s.charCodeAt(i);
          
          //$LASTPOS=1000512;//user.DotConsole:512
          _this.putchar(ch);
        }
      }
    },
    putchar :function _trc_DotConsole_putchar(ch) {
      "use strict";
      var _this=this;
      
      //$LASTPOS=1000552;//user.DotConsole:552
      if (ch!==10) {
        //$LASTPOS=1000575;//user.DotConsole:575
        _this.poke(_this.cx,_this.cy,ch);
        //$LASTPOS=1000599;//user.DotConsole:599
        _this.cx++;
        
      }
      //$LASTPOS=1000615;//user.DotConsole:615
      if (_this.cx>=_this.col||ch===10) {
        //$LASTPOS=1000649;//user.DotConsole:649
        _this.cx=0;
        //$LASTPOS=1000663;//user.DotConsole:663
        _this.cy++;
        //$LASTPOS=1000677;//user.DotConsole:677
        if (_this.cy>=_this.row) {
          //$LASTPOS=1000704;//user.DotConsole:704
          _this.scroll();
          //$LASTPOS=1000726;//user.DotConsole:726
          _this.cy=_this.row-1;
          
        }
        
      }
    },
    fiber$putchar :function _trc_DotConsole_f_putchar(_thread,ch) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      
      _thread.enter(function _trc_DotConsole_ent_putchar(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=1000552;//user.DotConsole:552
            if (!(ch!==10)) { __pc=2     ; break; }
            //$LASTPOS=1000575;//user.DotConsole:575
            _this.fiber$poke(_thread, _this.cx, _this.cy, ch);
            __pc=1;return;
          case 1:
            
            //$LASTPOS=1000599;//user.DotConsole:599
            _this.cx++;
          case 2     :
            
            //$LASTPOS=1000615;//user.DotConsole:615
            if (!(_this.cx>=_this.col||ch===10)) { __pc=5     ; break; }
            //$LASTPOS=1000649;//user.DotConsole:649
            _this.cx=0;
            //$LASTPOS=1000663;//user.DotConsole:663
            _this.cy++;
            //$LASTPOS=1000677;//user.DotConsole:677
            if (!(_this.cy>=_this.row)) { __pc=4     ; break; }
            //$LASTPOS=1000704;//user.DotConsole:704
            _this.fiber$scroll(_thread);
            __pc=3;return;
          case 3:
            
            //$LASTPOS=1000726;//user.DotConsole:726
            _this.cy=_this.row-1;
          case 4     :
            
          case 5     :
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    poke :function _trc_DotConsole_poke(cx,cy,ch) {
      "use strict";
      var _this=this;
      var ctx;
      var pImg;
      
      //$LASTPOS=1000779;//user.DotConsole:779
      if (_this.mat.get(cx,cy)===ch) {
        return _this;
      }
      //$LASTPOS=1000816;//user.DotConsole:816
      ctx = _this.context;
      
      //$LASTPOS=1000837;//user.DotConsole:837
      ctx.save();
      //$LASTPOS=1000853;//user.DotConsole:853
      ctx.textBaseline="top";
      //$LASTPOS=1000881;//user.DotConsole:881
      ctx.font=_this.size+"px Monospace";
      //$LASTPOS=1000915;//user.DotConsole:915
      ctx.beginPath();
      //$LASTPOS=1000936;//user.DotConsole:936
      ctx.moveTo(cx*_this.size,cy*_this.size);
      //$LASTPOS=1000969;//user.DotConsole:969
      ctx.lineTo((cx+1)*_this.size,cy*_this.size);
      //$LASTPOS=1001006;//user.DotConsole:1006
      ctx.lineTo((cx+1)*_this.size,(cy+1)*_this.size);
      //$LASTPOS=1001047;//user.DotConsole:1047
      ctx.lineTo(cx*_this.size,(cy+1)*_this.size);
      //$LASTPOS=1001084;//user.DotConsole:1084
      ctx.closePath();
      //$LASTPOS=1001105;//user.DotConsole:1105
      ctx.clip();
      //$LASTPOS=1001121;//user.DotConsole:1121
      ctx.clearRect(cx*_this.size,cy*_this.size,_this.size,_this.size);
      //$LASTPOS=1001167;//user.DotConsole:1167
      pImg = Tonyu.globals.$imageList[ch+_this.font];
      
      //$LASTPOS=1001201;//user.DotConsole:1201
      if (ch<128&&pImg) {
        //$LASTPOS=1001231;//user.DotConsole:1231
        ctx.drawImage(pImg.image,pImg.x,pImg.y,pImg.width,pImg.height,cx*_this.size,cy*_this.size,_this.size,_this.size);
        //$LASTPOS=1001354;//user.DotConsole:1354
        ctx.globalCompositeOperation="source-in";
        //$LASTPOS=1001404;//user.DotConsole:1404
        ctx.fill();
        
      } else {
        //$LASTPOS=1001437;//user.DotConsole:1437
        ctx.fillText(String.fromCharCode(ch),cx*_this.size,cy*_this.size);
        
      }
      //$LASTPOS=1001502;//user.DotConsole:1502
      _this.mat.set(cx,cy,ch);
      //$LASTPOS=1001525;//user.DotConsole:1525
      ctx.restore();
    },
    fiber$poke :function _trc_DotConsole_f_poke(_thread,cx,cy,ch) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      var ctx;
      var pImg;
      
      //$LASTPOS=1000779;//user.DotConsole:779
      if (_this.mat.get(cx,cy)===ch) {
        _thread.retVal=_this;return;
        
      }
      //$LASTPOS=1000816;//user.DotConsole:816
      ctx = _this.context;
      
      //$LASTPOS=1000837;//user.DotConsole:837
      ctx.save();
      //$LASTPOS=1000853;//user.DotConsole:853
      ctx.textBaseline="top";
      //$LASTPOS=1000881;//user.DotConsole:881
      ctx.font=_this.size+"px Monospace";
      //$LASTPOS=1000915;//user.DotConsole:915
      ctx.beginPath();
      //$LASTPOS=1000936;//user.DotConsole:936
      ctx.moveTo(cx*_this.size,cy*_this.size);
      //$LASTPOS=1000969;//user.DotConsole:969
      ctx.lineTo((cx+1)*_this.size,cy*_this.size);
      //$LASTPOS=1001006;//user.DotConsole:1006
      ctx.lineTo((cx+1)*_this.size,(cy+1)*_this.size);
      //$LASTPOS=1001047;//user.DotConsole:1047
      ctx.lineTo(cx*_this.size,(cy+1)*_this.size);
      //$LASTPOS=1001084;//user.DotConsole:1084
      ctx.closePath();
      //$LASTPOS=1001105;//user.DotConsole:1105
      ctx.clip();
      //$LASTPOS=1001121;//user.DotConsole:1121
      ctx.clearRect(cx*_this.size,cy*_this.size,_this.size,_this.size);
      //$LASTPOS=1001167;//user.DotConsole:1167
      pImg = Tonyu.globals.$imageList[ch+_this.font];
      
      //$LASTPOS=1001201;//user.DotConsole:1201
      if (ch<128&&pImg) {
        //$LASTPOS=1001231;//user.DotConsole:1231
        ctx.drawImage(pImg.image,pImg.x,pImg.y,pImg.width,pImg.height,cx*_this.size,cy*_this.size,_this.size,_this.size);
        //$LASTPOS=1001354;//user.DotConsole:1354
        ctx.globalCompositeOperation="source-in";
        //$LASTPOS=1001404;//user.DotConsole:1404
        ctx.fill();
        
      } else {
        //$LASTPOS=1001437;//user.DotConsole:1437
        ctx.fillText(String.fromCharCode(ch),cx*_this.size,cy*_this.size);
        
      }
      //$LASTPOS=1001502;//user.DotConsole:1502
      _this.mat.set(cx,cy,ch);
      //$LASTPOS=1001525;//user.DotConsole:1525
      ctx.restore();
      
      _thread.retVal=_this;return;
    },
    peek :function _trc_DotConsole_peek(cx,cy) {
      "use strict";
      var _this=this;
      
      return _this.mat.get(cx,cy);
    },
    fiber$peek :function _trc_DotConsole_f_peek(_thread,cx,cy) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      _thread.retVal=_this.mat.get(cx,cy);return;
      
      
      _thread.retVal=_this;return;
    },
    scroll :function _trc_DotConsole_scroll() {
      "use strict";
      var _this=this;
      var nm;
      var x;
      var y;
      var c;
      var _it_5;
      
      //$LASTPOS=1001602;//user.DotConsole:1602
      nm = new Tonyu.classes.kernel.Matrix;
      
      //$LASTPOS=1001625;//user.DotConsole:1625
      _it_5=Tonyu.iterator(_this.mat,3);
      while(_it_5.next()) {
        x=_it_5[0];
        y=_it_5[1];
        c=_it_5[2];
        
        //$LASTPOS=1001658;//user.DotConsole:1658
        if (y>0) {
          //$LASTPOS=1001667;//user.DotConsole:1667
          nm.set(x,y-1,c);
        }
        
      }
      //$LASTPOS=1001694;//user.DotConsole:1694
      _this.mat=nm;
      //$LASTPOS=1001706;//user.DotConsole:1706
      _this.context.save();
      //$LASTPOS=1001726;//user.DotConsole:1726
      _this.context.globalCompositeOperation="copy";
      //$LASTPOS=1001771;//user.DotConsole:1771
      _this.context.drawImage(_this.image,0,_this.size,_this.width,_this.height-_this.size,0,0,_this.width,_this.height-_this.size);
      //$LASTPOS=1001848;//user.DotConsole:1848
      _this.context.restore();
    },
    fiber$scroll :function _trc_DotConsole_f_scroll(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      var nm;
      var x;
      var y;
      var c;
      var _it_5;
      
      //$LASTPOS=1001602;//user.DotConsole:1602
      nm = new Tonyu.classes.kernel.Matrix;
      
      //$LASTPOS=1001625;//user.DotConsole:1625
      _it_5=Tonyu.iterator(_this.mat,3);
      while(_it_5.next()) {
        x=_it_5[0];
        y=_it_5[1];
        c=_it_5[2];
        
        //$LASTPOS=1001658;//user.DotConsole:1658
        if (y>0) {
          //$LASTPOS=1001667;//user.DotConsole:1667
          nm.set(x,y-1,c);
        }
        
      }
      //$LASTPOS=1001694;//user.DotConsole:1694
      _this.mat=nm;
      //$LASTPOS=1001706;//user.DotConsole:1706
      _this.context.save();
      //$LASTPOS=1001726;//user.DotConsole:1726
      _this.context.globalCompositeOperation="copy";
      //$LASTPOS=1001771;//user.DotConsole:1771
      _this.context.drawImage(_this.image,0,_this.size,_this.width,_this.height-_this.size,0,0,_this.width,_this.height-_this.size);
      //$LASTPOS=1001848;//user.DotConsole:1848
      _this.context.restore();
      
      _thread.retVal=_this;return;
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"new":{"nowait":false},"locate":{"nowait":false},"print":{"nowait":true},"putchar":{"nowait":false},"poke":{"nowait":false},"peek":{"nowait":false},"scroll":{"nowait":false}},"fields":{"size":{},"row":{},"col":{},"cx":{},"cy":{},"mat":{},"font":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Main',
  shortName: 'Main',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Main_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=2000000;//user.Main:0
      Tonyu.globals.$Screen.resize(512,384);
      //$LASTPOS=2000136;//user.Main:136
      Tonyu.globals.$d=new Tonyu.classes.user.DotConsole({font: Tonyu.globals.$pat_font_b});
      //$LASTPOS=2000249;//user.Main:249
      _this.x=10;
      //$LASTPOS=2000254;//user.Main:254
      _this.y=20;
      //$LASTPOS=2000259;//user.Main:259
      _this.p=- 1;
      //$LASTPOS=2000265;//user.Main:265
      _this.sc=0;
      //$LASTPOS=2000271;//user.Main:271
      _this.ex=_this.rnd(32);
      //$LASTPOS=2000282;//user.Main:282
      _this.ey=0;
      //$LASTPOS=2000288;//user.Main:288
      while (true) {
        Tonyu.checkLoop();
        //$LASTPOS=2000320;//user.Main:320
        Tonyu.globals.$d.locate(_this.x,_this.y);
        //$LASTPOS=2000351;//user.Main:351
        Tonyu.globals.$d.fillStyle="yellow";
        //$LASTPOS=2000388;//user.Main:388
        Tonyu.globals.$d.print(" |^| ");
        //$LASTPOS=2000411;//user.Main:411
        if (_this.getkey("left")) {
          //$LASTPOS=2000431;//user.Main:431
          _this.x--;
        }
        //$LASTPOS=2000440;//user.Main:440
        if (_this.getkey("right")) {
          //$LASTPOS=2000461;//user.Main:461
          _this.x++;
        }
        //$LASTPOS=2000470;//user.Main:470
        _this.x=_this.clamp(_this.x,0,29);
        //$LASTPOS=2000491;//user.Main:491
        Tonyu.globals.$d.fillStyle="white";
        //$LASTPOS=2000517;//user.Main:517
        Tonyu.globals.$d.locate(3,5);
        //$LASTPOS=2000559;//user.Main:559
        Tonyu.globals.$d.print("Score は"+_this.sc+" です");
        //$LASTPOS=2000593;//user.Main:593
        Tonyu.globals.$d.locate(_this.ex,_this.ey);
        //$LASTPOS=2000610;//user.Main:610
        Tonyu.globals.$d.print(_this.len(" ",_this.floor(_this.sc/10)+1));
        //$LASTPOS=2000649;//user.Main:649
        _this.ey++;
        //$LASTPOS=2000654;//user.Main:654
        if (_this.ey>=21) {
          //$LASTPOS=2000667;//user.Main:667
          _this.sc++;
          //$LASTPOS=2000672;//user.Main:672
          _this.ey=0;
          //$LASTPOS=2000677;//user.Main:677
          _this.ex=_this.rnd(32);
          
        }
        //$LASTPOS=2000694;//user.Main:694
        Tonyu.globals.$d.locate(_this.ex,_this.ey);
        //$LASTPOS=2000711;//user.Main:711
        Tonyu.globals.$d.print(_this.len("@",_this.floor(_this.sc/10)+1));
        //$LASTPOS=2000781;//user.Main:781
        if (Tonyu.globals.$d.peek(_this.x,_this.y-1)==="@".charCodeAt(0)) {
          break;
          
        }
        //$LASTPOS=2000832;//user.Main:832
        _this.update();
        
      }
      //$LASTPOS=2000844;//user.Main:844
      //$LASTPOS=2000848;//user.Main:848
      _this.i=0;for (; _this.i<30 ; _this.i++) {
        Tonyu.checkLoop();
        {
          //$LASTPOS=2000871;//user.Main:871
          Tonyu.globals.$d.print("Game over!!\n");
          //$LASTPOS=2000902;//user.Main:902
          _this.update();
        }
      }
      //$LASTPOS=2000914;//user.Main:914
      Tonyu.globals.$d.print("Score "+_this.sc+"\n");
      //$LASTPOS=2000942;//user.Main:942
      Tonyu.globals.$d.print("Replay space key");
      //$LASTPOS=2000972;//user.Main:972
      while (! _this.getkey("space")) {
        Tonyu.checkLoop();
        //$LASTPOS=2000996;//user.Main:996
        _this.update();
      }
      //$LASTPOS=2001006;//user.Main:1006
      _this.loadPage(Tonyu.classes.user.Main);
    },
    fiber$main :function _trc_Main_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=2000000;//user.Main:0
      Tonyu.globals.$Screen.resize(512,384);
      //$LASTPOS=2000136;//user.Main:136
      Tonyu.globals.$d=new Tonyu.classes.user.DotConsole({font: Tonyu.globals.$pat_font_b});
      //$LASTPOS=2000249;//user.Main:249
      _this.x=10;
      //$LASTPOS=2000254;//user.Main:254
      _this.y=20;
      //$LASTPOS=2000259;//user.Main:259
      _this.p=- 1;
      //$LASTPOS=2000265;//user.Main:265
      _this.sc=0;
      //$LASTPOS=2000271;//user.Main:271
      _this.ex=_this.rnd(32);
      //$LASTPOS=2000282;//user.Main:282
      _this.ey=0;
      
      _thread.enter(function _trc_Main_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=2000288;//user.Main:288
          case 1:
            //$LASTPOS=2000320;//user.Main:320
            Tonyu.globals.$d.locate(_this.x,_this.y);
            //$LASTPOS=2000351;//user.Main:351
            Tonyu.globals.$d.fillStyle="yellow";
            //$LASTPOS=2000388;//user.Main:388
            Tonyu.globals.$d.print(" |^| ");
            //$LASTPOS=2000411;//user.Main:411
            if (_this.getkey("left")) {
              //$LASTPOS=2000431;//user.Main:431
              _this.x--;
            }
            //$LASTPOS=2000440;//user.Main:440
            if (_this.getkey("right")) {
              //$LASTPOS=2000461;//user.Main:461
              _this.x++;
            }
            //$LASTPOS=2000470;//user.Main:470
            _this.x=_this.clamp(_this.x,0,29);
            //$LASTPOS=2000491;//user.Main:491
            Tonyu.globals.$d.fillStyle="white";
            //$LASTPOS=2000517;//user.Main:517
            Tonyu.globals.$d.locate(3,5);
            //$LASTPOS=2000559;//user.Main:559
            Tonyu.globals.$d.print("Score は"+_this.sc+" です");
            //$LASTPOS=2000593;//user.Main:593
            Tonyu.globals.$d.locate(_this.ex,_this.ey);
            //$LASTPOS=2000610;//user.Main:610
            Tonyu.globals.$d.print(_this.len(" ",_this.floor(_this.sc/10)+1));
            //$LASTPOS=2000649;//user.Main:649
            _this.ey++;
            //$LASTPOS=2000654;//user.Main:654
            if (_this.ey>=21) {
              //$LASTPOS=2000667;//user.Main:667
              _this.sc++;
              //$LASTPOS=2000672;//user.Main:672
              _this.ey=0;
              //$LASTPOS=2000677;//user.Main:677
              _this.ex=_this.rnd(32);
              
            }
            //$LASTPOS=2000694;//user.Main:694
            Tonyu.globals.$d.locate(_this.ex,_this.ey);
            //$LASTPOS=2000711;//user.Main:711
            Tonyu.globals.$d.print(_this.len("@",_this.floor(_this.sc/10)+1));
            //$LASTPOS=2000781;//user.Main:781
            if (!(Tonyu.globals.$d.peek(_this.x,_this.y-1)==="@".charCodeAt(0))) { __pc=2     ; break; }
            __pc=4     ; break;
            
          case 2     :
            
            //$LASTPOS=2000832;//user.Main:832
            _this.fiber$update(_thread);
            __pc=3;return;
          case 3:
            
            __pc=1;break;
          case 4     :
            
            //$LASTPOS=2000844;//user.Main:844
            //$LASTPOS=2000848;//user.Main:848
            _this.i=0;
          case 5:
            if (!(_this.i<30)) { __pc=8     ; break; }
            //$LASTPOS=2000871;//user.Main:871
            Tonyu.globals.$d.print("Game over!!\n");
            //$LASTPOS=2000902;//user.Main:902
            _this.fiber$update(_thread);
            __pc=6;return;
          case 6:
            
          case 7     :
            _this.i++;
            __pc=5;break;
          case 8     :
            
            //$LASTPOS=2000914;//user.Main:914
            Tonyu.globals.$d.print("Score "+_this.sc+"\n");
            //$LASTPOS=2000942;//user.Main:942
            Tonyu.globals.$d.print("Replay space key");
            //$LASTPOS=2000972;//user.Main:972
          case 9:
            if (!(! _this.getkey("space"))) { __pc=11    ; break; }
            //$LASTPOS=2000996;//user.Main:996
            _this.fiber$update(_thread);
            __pc=10;return;
          case 10:
            
            __pc=9;break;
          case 11    :
            
            //$LASTPOS=2001006;//user.Main:1006
            _this.loadPage(Tonyu.classes.user.Main);
            _thread.exit(_this);return;
          }
        }
      });
    },
    len :function _trc_Main_len(s,i) {
      "use strict";
      var _this=this;
      var r;
      
      //$LASTPOS=2001039;//user.Main:1039
      r = "";
      
      //$LASTPOS=2001053;//user.Main:1053
      ;
      
      while(i>0) {
        Tonyu.checkLoop();
        //$LASTPOS=2001067;//user.Main:1067
        r+=s;
        i--;
      }
      return r;
    },
    fiber$len :function _trc_Main_f_len(_thread,s,i) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      var r;
      
      //$LASTPOS=2001039;//user.Main:1039
      r = "";
      
      //$LASTPOS=2001053;//user.Main:1053
      ;
      
      while(i>0) {
        Tonyu.checkLoop();
        //$LASTPOS=2001067;//user.Main:1067
        r+=s;
        i--;
      }
      _thread.retVal=r;return;
      
      
      _thread.retVal=_this;return;
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"len":{"nowait":false}},"fields":{"sc":{},"ex":{},"ey":{},"i":{}}}
});

//# sourceMappingURL=concat.js.map